Skip to main content
PUT
Update Authentication Configuration

Body

application/json

The request body resource

auth_method
enum<string>
required

The identity provider type to configure

Available options:
oidc,
saml,
local
Example:

"local"

webapp_users_management_status
enum<string>
required

Enable the users management in the Webapp. It allows to create, edit and delete users.

Available options:
active,
inactive
admin_role_name
string
default:admin

Changes the default administrator role of the system

auditor_role_name
string
default:auditor

Changes the default auditor role of the system

oidc_config
object

OIDC / Oauth2 identity provider configuration

provider_name
string

The provider type name used to identify the authentication provider

Example:

"generic"

rollout_api_key
string

The api key to rollout. When this field is set, the server will rollout the previous api_key. This attribute must be obtained in the endpoint to generate rollout api keys.

Example:

"xapi-WqIAoYhKuIv2IPmVkfsyyK"

saml_config
object

SAML 2.0 identity provider configuration

Response

OK

auth_method
enum<string>
required

The identity provider type to configure

Available options:
oidc,
saml,
local
Example:

"local"

webapp_users_management_status
enum<string>
required

Enable the users management in the Webapp. It allows to create, edit and delete users.

Available options:
active,
inactive
admin_role_name
string
default:admin

Changes the default administrator role of the system

api_key
string
read-only

The api key with admin privileges used to authenticate in the API. It is a read only field

Example:

"xapi-WqIAoYhKuIv2IPmVkfsyyK"

auditor_role_name
string
default:auditor

Changes the default auditor role of the system

oidc_config
object

OIDC / Oauth2 identity provider configuration

provider_name
string

The provider type name used to identify the authentication provider

Example:

"generic"

rollout_api_key
string

The api key to rollout. When this field is set, the server will rollout the previous api_key. This attribute must be obtained in the endpoint to generate rollout api keys.

Example:

"xapi-WqIAoYhKuIv2IPmVkfsyyK"

saml_config
object

SAML 2.0 identity provider configuration